# stg-clone(1) Manual Page

## NAME

stg-clone - Make a local clone of a remote repository

## SYNOPSIS

    stg clone <repository> <dir>

## DESCRIPTION

Clone a git repository into the local directory <dir> (using stg clone) and initialise the local branch "master".

This operation is for example suitable to start working using the "tracking branch" workflow (see 1). Other means to setup an StGit stack are stg init and the --create and --clone commands of stg branch.

The target directory <dir> will be created by this command, and must not already exist.

## StGit

Part of the StGit suite - see stg(1)